package com.devplatform.admin.modules.eq.bean;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel(value="室外气象站信息-时对象",description="室外气象站信息-时对象")
@TableName("swqxz_info_hour")
public class SwqxzInfoHour implements Serializable {
	private static final long serialVersionUID = 1L;

	/** 主键id */
	@ApiModelProperty(value="主键ID",name="id")
	@TableId
	private java.lang.String id;
	/** 资源点id */
	@ApiModelProperty(value="资源点id",name="resourceId")
	private java.lang.String resourceId;
	/** 温度 */
	@ApiModelProperty(value="温度",name="temperature")
	private java.lang.String temperature;
	/** 湿度 */
	@ApiModelProperty(value="湿度",name="humidity")
	private java.lang.String humidity;
	/** 风速 */
	@ApiModelProperty(value="风速",name="windSpeed")
	private java.lang.String windSpeed;
	/** 风向 */
	@ApiModelProperty(value="风向",name="windDirection")
	private java.lang.String windDirection;
	/** 光照度 */
	@ApiModelProperty(value="光照度",name="illuminance")
	private java.lang.String illuminance;
	/** CO2 */
	@ApiModelProperty(value="CO2",name="carbonDioxide")
	private java.lang.String carbonDioxide;
	/** PM2.5 */
	@ApiModelProperty(value="PM2.5",name="fineParticles")
	private java.lang.String fineParticles;
	/** 辐射 */
	@ApiModelProperty(value="辐射",name="radiation")
	private java.lang.String radiation;
	/** 类型(1手动，2节能) */
	@ApiModelProperty(value="类型(1手动，2节能)",name="type")
	private Integer type;
	/** 站点表id */
	@ApiModelProperty(value="站点表id",name="stationId")
	private java.lang.String stationId;
	/** 创建时间 */
	@ApiModelProperty(value="创建时间",name="createTime")
	private java.util.Date createTime;

	/** 设备编号 */
	@TableField(exist = false)
	private java.lang.String code;

	/** 设备名称 */
	@TableField(exist = false)
	private java.lang.String name;
}
